// Pizza.cpp

@import "Pizza.h"
@import "DateTime.h"
@import "PizzaDeliveries.h"
@import "Shapes.h"
@import "Ceda/Core/cxObject/TargetRegistry.h"
#include "Ceda/Core/cxUtils/MsWindows.h"

mRegisterLeafTarget(
    // Releases
    {
        // version         year mon day
        { "Release 0.0",   {2017,6,20}  },      // Release #0
    })


#if defined(_WIN32) && !defined(Pizza_STATIC_LIBRARY)
    static HINSTANCE static_hModule = NULL;

    HINSTANCE GetLocalModuleHandle()
    {
	    cxAssert(static_hModule);
	    return static_hModule;
    }

    BOOL APIENTRY DllMain( HANDLE hModule,
					       DWORD  ul_reason_for_call,
					       LPVOID lpReserved
					     )
    {
	    switch (ul_reason_for_call)
	    {
		    case DLL_PROCESS_ATTACH:
			    static_hModule = (HINSTANCE) hModule;
			    break;

		    case DLL_THREAD_ATTACH:
		    case DLL_THREAD_DETACH:
		    case DLL_PROCESS_DETACH:
			    break;
	    }
	    return TRUE;
    }
#endif
